Skip to main content
GET
Get Contract

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Contract ID

Response

OK

clientId
string<uuid>

ClientID is the ID of the client the contract is assigned to.

Example:

"b1c2d3e4-f5a6-4b7c-8d9e-0f1a2b3c4d5e"

companyId
string<uuid>

CompanyID is the ID of the company the contract is associated with.

Example:

"c2d3e4f5-a6b7-4c8d-9e0f-1a2b3c4d5e6f"

contractTemplateId
string<uuid>

ContractTemplateID is the ID of the template the contract was created from, when applicable.

Example:

"d8e8fca2-dc0f-4f4a-8e3c-3f1f4c6a1b2c"

createdAt
string
creationMode
enum<string>

CreationMode indicates whether the contract was created from a template or as a one-off document.

Available options:
oneOff,
template
Example:

"template"

creatorId
string
data
string
fields
object[]

ContractFields Represent all the inputs which are dropped on the contract to be filled by admin, client or autofilled

fileUrl
string<uri>

FileKey is a presigned URL to the original (unsigned) contract document.

Example:

"https://files.assembly.com/protected/contract.pdf"

id
string
identityId
string
isMigrated
boolean
name
string

Name is the human-readable name of the contract.

Example:

"Master Services Agreement"

object
string
owner
object
pageKeys
string[]
portalId
string
previousAttributes
object
recipientId
string<uuid>

Deprecated: use ClientID and CompanyID instead

Example:

"b1c2d3e4-f5a6-4b7c-8d9e-0f1a2b3c4d5e"

ref
string
shareDate
string<date-time>
signatureEvents
object[]

SignatureEvents holds the audit information about the user who performed any action on the contract document

signedFileUrl
string<uri>

SignedFileKey is a presigned URL to the signed contract document, populated once the contract is signed.

Example:

"https://files.assembly.com/protected/contract-signed.pdf"

status
enum<string>

Status is the current status of the contract.

Available options:
pending,
signed
Example:

"pending"

submissionDate
string<date-time>
updatedAt
string